Subject: [HOKEY] Change proposal for ERP-AAK - 5: TV/TLV attributes

From: Qin Wu <[email-masked]>
Date: Thu, 29 Sep 2011 18:04:29 +0800

Hi,
In the section 5.4 of draft-ietf-hokey-erp-aak-05, it said The TV and TLV attributes defined in this document are the same specified as section 5.3.4 of
[RFC5296].  However I think this document will not use pRK lifetime and prMSK lifetime TV payloads, also this document introduce some new TLV payloads,
therefore I propose to do the following change to the section 5.4.

OLD TEXT:
"
   The TV and TLV attributes are the same specified as section 5.3.4 of
   [RFC5296].  In this document, some new TLV(s) which may be present in
   the EAP-Initiate or EAP-Finish messages are defined as below:

"
NEW TEXT:
"
   Aside from TV payloads of rRK Lifetime and rMSK Lifetime,the TV and TLV attributes as specified section 5.3.4 of

   [RFC5296] also apply to this document.  In this document, some new TLV(s) which may be present in

   the EAP-Initiate or EAP-Finish messages are defined as below:

"

Regards!
-Qin

---

From: Zhen Cao <[email-masked]>
Date: Fri, 30 Sep 2011 11:45:46 +0800

It is okay.

But this change seems not very necessary, do we have to emphasize that
we do not use the pRK lifttime and prMSK lifetime?

2011/9/29 Qin Wu <[email-masked]>:
> Hi,
> In the section 5.4 of draft-ietf-hokey-erp-aak-05, it said The TV and TLV
> attributes defined in this document are the same specified as section 5.3.4
> of
> [RFC5296].  However I think this document will not use pRK lifetime and
> prMSK lifetime TV payloads, also this document introduce some new TLV
> payloads,
> _______________________________________________
> HOKEY mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hokey
>
>

-- 
Best regards,
Zhen

---

From: Qin Wu <[email-masked]>
Date: Fri, 30 Sep 2011 12:05:57 +0800

This was discussed in the last meeting regarding if we are defining pRK,pMSK or reusing rRK,rMSK for ERP/AAK.
My understanding they have different usages although they share the same DSRK or EMSK.
According to the section 1 of RFC5295, the usage refer to a specific use case of the EAP keying material.
I think the use case for ERP/AAK is apparently diffent from use case for ERP. Therefore I think
it makes sense to assign new type value for pRK and pMSK lifetimes rather than reusing rMSK and rRK for ERP/AAK.
Also I think whether pRK lifetime and pMSK lifetime are used depends on if "L"field is set to 1 in the message header.

Regards!
-Qin
----- Original Message ----- 
From: "Zhen Cao" <[email-masked]>
To: "Qin Wu" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, September 30, 2011 11:45 AM
Subject: Re: [HOKEY] Change proposal for ERP-AAK - 5: TV/TLV attributes

It is okay.